[debian-edu-commits] debian-edu/ 03/04: Make package compliant with Apache 2.4 packaging policy. (Closes: #669780).

Mike Gabriel sunweaver at debian.org
Sun Jan 5 09:56:54 UTC 2014


This is an automated email from the git hooks/post-receive script.

sunweaver pushed a commit to branch master
in repository slbackup-php.

commit d01b11389605695d188d03619e71374685ba1f6b
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Sep 24 22:15:11 2013 +0200

    Make package compliant with Apache 2.4 packaging policy. (Closes: #669780).
---
 debian/changelog |  1 +
 debian/control   |  5 +++--
 debian/links     |  2 +-
 debian/postinst  | 16 ++++++++++++++++
 debian/postrm    | 16 +++++++++++++++-
 5 files changed, 36 insertions(+), 4 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 2c0b0e3..36970d8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ slbackup-php (0.4.4-2) UNRELEASED; urgency=low
   * /debian/control:
     + Alioth-canonicalize Vcs-Git: field.
     + Vcs location has moved into debian-edu/pkg-team/ subfolder.
+  * Make package compliant with Apache 2.4 packaging policy. (Closes: #669780).
 
  -- Mike Gabriel <sunweaver at debian.org>  Tue, 24 Sep 2013 21:52:17 +0200
 
diff --git a/debian/control b/debian/control
index 5d68e63..ebfa346 100644
--- a/debian/control
+++ b/debian/control
@@ -16,12 +16,13 @@ Package: slbackup-php
 Architecture: all
 Depends:
  ${misc:Depends},
- libapache2-mod-php5,
- apache2,
+ libapache2-mod-php5 | php5-cgi,
  ssh,
  php5-cli,
  smarty3,
  smarty-gettext (>= 1.0b1-7),
+Recommends:
+ apache2 | httpd,
 Suggests:
  x-www-browser,
 Description: Web-based administration tool for slbackup
diff --git a/debian/links b/debian/links
index 42cd3dd..4d5a94a 100644
--- a/debian/links
+++ b/debian/links
@@ -1 +1 @@
-etc/slbackup-php/apache.conf etc/apache2/conf.d/slbackup
+etc/slbackup-php/apache.conf etc/apache2/conf-available/slbackup-php.conf
diff --git a/debian/postinst b/debian/postinst
old mode 100644
new mode 100755
index 3735b50..f87858c
--- a/debian/postinst
+++ b/debian/postinst
@@ -25,4 +25,20 @@ fi
 
 db_stop
 
+if [ "$1" = "configure" ] ; then
+
+	CONF="slbackup-php"
+	COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+	if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+		. /usr/share/apache2/apache2-maintscript-helper
+		apache2_invoke enconf $CONF || exit $?
+	elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+		if [ -d /etc/apache2/conf.d/ -a ! -L /etc/apache2/conf.d/$CONF.conf ]; then
+			ln -s ../conf-available/$CONF.conf /etc/apache2/conf.d/$CONF.conf
+		fi
+	fi
+
+fi
+
 #DEBHELPER#
diff --git a/debian/postrm b/debian/postrm
old mode 100644
new mode 100755
index 6ff4525..04fd546
--- a/debian/postrm
+++ b/debian/postrm
@@ -3,7 +3,21 @@
 set -e 
 
 if [ -d /var/spool/slbackup-php ]; then
-    rm -rf /var/spool/slbackup-php/
+	rm -rf /var/spool/slbackup-php/
+fi
+
+if [ "$1" = "remove" ] || [ "$1" = "purge" ] ; then
+
+	CONF="slbackup-php"
+	COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+	if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+		. /usr/share/apache2/apache2-maintscript-helper
+		apache2_invoke disconf $CONF || exit $?
+	elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+		[ ! -L /etc/apache2/conf.d/$CONF.conf ] || rm /etc/apache2/conf.d/$CONF.conf
+	fi
+
 fi
 
 #DEBHELPER#

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/pkg-team/slbackup-php.git



More information about the debian-edu-commits mailing list